/**
 * Define the exit command.
 */

package extensions.generic;

import extensions.generic.*;
import java.awt.*;
import java.util.HashMap;
import java.util.Vector;
import java.io.*;
import javax.swing.*;
import javax.media.j3d.*;
import javax.vecmath.*;


public class LoadCmd implements Command {
	private Frame frame;
	
	public LoadCmd(Frame frame) {
		this.frame = frame;		
	}
		
    public void Execute(){
    	
    	//FileDialog does not work with FilenameFilter
    	/*
		FileDialog fd = new FileDialog(frame, "Load XML file", FileDialog.LOAD);
	    fd.setDirectory(".");
	    FilenameFilter filter = new extensions.generic.xmlfilter();
	    fd.setFilenameFilter(filter);
	    fd.show();
	    */
	    
	    JFileChooser fc = new JFileChooser(".");
	    extensions.generic.FileXmlFilter filter = 
	              new extensions.generic.FileXmlFilter();
        fc.setFileFilter(filter);
        int returnVal = fc.showOpenDialog(frame);

        if (returnVal == JFileChooser.APPROVE_OPTION) {     
            System.out.println("You chose to open this file: " +
            fc.getSelectedFile().getName());    	
        } else {
            System.out.println("Cancelled by user.");
                }        		    
  }

}

